> ## Documentation Index
> Fetch the complete documentation index at: https://docs.kakiyo.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List webhooks

> Returns all webhooks for the authenticated team



## OpenAPI

````yaml GET /webhooks
openapi: 3.1.0
info:
  title: Kakiyo API
  description: API for automating LinkedIn outreach campaigns with AI-powered conversations
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api.kakiyo.com/v1
security:
  - bearerAuth: []
paths:
  /webhooks:
    get:
      summary: List Webhooks
      description: Returns all webhooks for the authenticated team
      operationId: listWebhooks
      responses:
        '200':
          description: List of webhooks
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/Webhook'
        '401':
          description: Authentication failed
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    Webhook:
      type: object
      properties:
        id:
          type: string
          example: webhook_12345abcde
        name:
          type: string
          example: CRM Integration
        url:
          type: string
          example: https://your-app.com/kakiyo/webhook
        events:
          type: array
          items:
            type: string
          example:
            - linkedin.message.received
            - prospect.qualification.manual
        active:
          type: boolean
          example: true
        lastSuccess:
          type: string
          format: date-time
          example: '2023-06-15T10:30:00Z'
        lastFailure:
          type: string
          format: date-time
          example: null
        successCount:
          type: integer
          example: 42
        failureCount:
          type: integer
          example: 0
        createdAt:
          type: string
          format: date-time
          example: '2023-05-10T08:15:00Z'
    Error:
      type: object
      properties:
        error:
          type: string
          example: validation_error
        message:
          type: string
          example: The request parameters failed validation
        details:
          type: array
          items:
            type: object
            properties:
              field:
                type: string
                example: name
              message:
                type: string
                example: The name field is required
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````